namespace EDPlayerJournal.Entries;

public class SupercruiseDestinationDropEntry : Entry {
    /// <summary>
    /// Destination type, internal string.
    /// </summary>
    public string? Type { get; set; } = null;

    /// <summary>
    /// Destination type, localised string.
    /// </summary>
    public string? TypeLocalised { get; set; } = null;

    /// <summary>
    /// Threat of the destination, if known.
    /// </summary>
    public long? Threat { get; set; } = null;

    /// <summary>
    /// Market ID if it has one.
    /// </summary>
    public ulong? MarketID { get; set; } = null;

    protected override void Initialise() {
        Type = JSON.Value<string>("Type");
        TypeLocalised = JSON.Value<string>("Type_Localised");
        Threat = JSON.Value<long?>("Threat");
        MarketID = JSON.Value<ulong?>("MarketID");
    }
}